Bug 1304478 - LDAP sync config examples for groups [NEEDINFO]
LDAP sync config examples for groups
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 13:04 EST by Eric Jones
Modified: 2017-05-15 23:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erjones: needinfo? (tpoitras)


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-02-03 13:04:24 EST
Document URL:
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/installation-and-configuration/#sync-examples

Section Number and Name: 
8.5. Sync Examples

Describe the issue: 
There are only a few examples provided and they seem to be relatively limited in the range of use cases.

Suggestions for improvement: 
Provide further full example sync config files or explain how the three examples can be combined to cover most use cases.
Comment 4 Eric Jones 2016-02-05 15:43:50 EST
The biggest issue with the examples is that there seems to be relatively little variation in the groups/users being pulled into OpenShift using the sync config file.


One example could mix in something dealing with multiple groups (similar to example 8.3) and how that kind of filter and other parts of the sync file might look.

I suppose the bigger ask could be simply more elaborate examples, with more complex setups on the LDAP server.

Note You need to log in before you can comment on or make changes to this bug.